Skip to content

Payin Deposit Detail

The payin deposit details API allows you to get the bank details for the account that the customer should send funds to when paying for a Wise transfer via a bank transfer.

These details will be provided in the local format for that currency and usually contain bank account information — like IBAN, SWIFT code etc. It also includes the name and address of the receiving bank and the name and address of the Wise entity that owns the bank account, as sometimes these are required to make a payment.

Retrieve bank transfer deposit details

Request

Retrieve the bank details for the account that the customer should send funds to when paying for a Wise transfer via a bank transfer.

profileId in the request URL refers to the profile that created the transfer. It can be either the personal profile ID, or the business profile ID.

The payinBankAccount field allows the bank details to be displayed dynamically in a user interface, by displaying the label and value fields.

Currently, this API supports the following currencies: AUD, BGN, BRL, CAD, CHF, CZK, DKK, EUR, GBP, HKD, HRK, HUF, IDR, INR, JPY, MYR, NOK, NZD, PLN, RON, SEK, SGD, TRY, USD.

Security
UserToken
Path
profileIdinteger, (int64)required

Profile ID.

transferIdinteger, (int64)required

Transfer ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
curl -i -X GET \
  'https://api.wise.com/2026Q3/profiles/{profileId}/transfers/{transferId}/deposit-details/bank-transfer' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'

Responses

Payin deposit detail object.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
payinBankobject

Information about the receiving bank.

payinBankAccountobject

Bank account details to use to send the payment to.

wiseInformationobject

Information about the receiving Wise entity, the owner of the bank account.

Response
{ "payinBank": { "bankName": "Wise Europe SA/NV", "bankAddress": { "country": "BE", "firstLine": "Rue Du Trône 100, box 3", "postCode": "1050", "city": "Brussels", "state": null, "phone": "+32 472 123 456" } }, "payinBankAccount": { "currency": "EUR", "bankAccountType": "RECIPIENT", "details": [ {} ] }, "wiseInformation": { "localCompanyName": "Wise Europe SA", "localAddress": { "country": "BE", "firstLine": "Rue du Trône 100, 3rd floor", "postCode": "1050", "city": "Brussels", "state": null, "phone": null } } }